Read one viewing
curl --request GET \
--url https://staging.housera.ro/api/v1/viewings/{slot} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/viewings/{slot}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/viewings/{slot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/viewings/{slot}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": 123,
"kind": "viewing",
"starts_at": "<string>",
"ends_at": "<string>",
"status": "completed",
"request_expires_at": "<string>",
"visitor": {
"name": "<string>",
"email": null,
"phone": "<string>",
"account": true
},
"source": "schedule",
"duration_min": 123,
"held": true,
"bookable": "<string>",
"booked_at": "<string>",
"proposed_starts_at": "<string>",
"attendance_confirmed_at": "<string>",
"reminded_day_at": "<string>",
"reminded_soon_at": "<string>",
"outcome": "offer",
"outcome_at": "<string>",
"agent": {
"name": "<string>",
"email": "<string>"
},
"place": "office",
"place_rooms": 123,
"seat": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}Viewings
Read one viewing
One hour of the agenda by its id, in the same shape as in the agenda across listings, with the client, the reminders and the answer to „Cum a fost?”.
GET
/
viewings
/
{slot}
Read one viewing
curl --request GET \
--url https://staging.housera.ro/api/v1/viewings/{slot} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.housera.ro/api/v1/viewings/{slot}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.housera.ro/api/v1/viewings/{slot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.housera.ro/api/v1/viewings/{slot}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": 123,
"kind": "viewing",
"starts_at": "<string>",
"ends_at": "<string>",
"status": "completed",
"request_expires_at": "<string>",
"visitor": {
"name": "<string>",
"email": null,
"phone": "<string>",
"account": true
},
"source": "schedule",
"duration_min": 123,
"held": true,
"bookable": "<string>",
"booked_at": "<string>",
"proposed_starts_at": "<string>",
"attendance_confirmed_at": "<string>",
"reminded_day_at": "<string>",
"reminded_soon_at": "<string>",
"outcome": "offer",
"outcome_at": "<string>",
"agent": {
"name": "<string>",
"email": "<string>"
},
"place": "office",
"place_rooms": 123,
"seat": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"existing": {
"code": "<string>",
"external_ref": "<string>"
}
}Query Parameters
The response language, ro or en. It changes error messages (title, detail), labels and, when the listing has an approved translation in that language, its title and description. Codes are the same in every language. It takes precedence over Accept-Language and over the account's language.
Available options:
ro, en